Log4j Version 1.2.7: Class ISO8601DateFormat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class ISO8601DateFormat

    java.lang.Object
      |
      +--java.text.Format
            |
            +--java.text.DateFormat
                  |
                  +--org.apache.log4j.helpers.AbsoluteTimeDateFormat
                        |
                        +--org.apache.log4j.helpers.ISO8601DateFormat

All Implemented Interfaces:
  Cloneable, Serializable

public class ISO8601DateFormat
extends AbsoluteTimeDateFormat

Formats a `Date` in the format "YYYY-mm-dd HH:mm:ss,SSS" for example "1999-11-27 15:49:37,459".

Refer to the summary of the International Standard Date and Time Notation for more information on this format.

Since:
  0.7.5
Author:
  Ceki Gülcü, Andrew Vajoczki
See Also:
  Serialized Form

Fields inherited from class org.apache.log4j.helpers.AbsoluteTimeDateFormat
`ABS_TIME_DATE_FORMAT, DATE_AND_TIME_DATE_FORMAT, ISO8601_DATE_FORMAT`

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`ISO8601DateFormat()`
`ISO8601DateFormat(TimeZone timeZone)`

Method Summary
`StringBuffer` | `format(Date date, StringBuffer sbuf, FieldPosition fieldPosition)` Appends a date in the format "YYYY-mm-dd HH:mm:ss,SSS" to `sbuf`.
`Date` | `parse(String s, ParsePosition pos)` This method does not do anything but return `null`.

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISO8601DateFormat

    public ISO8601DateFormat()

### ISO8601DateFormat

    public ISO8601DateFormat(TimeZone timeZone)

Method Detail

### format

    public StringBuffer format(Date date,
                               StringBuffer sbuf,
                               FieldPosition fieldPosition)

  Appends a date in the format "YYYY-mm-dd HH:mm:ss,SSS" to `sbuf`. For example: "1999-11-27 15:49:37,459".
  Overrides:
    `format` in class `AbsoluteTimeDateFormat`
  Parameters:
    `sbuf` - the `StringBuffer` to write to

### parse

    public Date parse(String s,
                      ParsePosition pos)

  This method does not do anything but return `null`.
  Overrides:
    `parse` in class `AbsoluteTimeDateFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Log4j 1.2.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2000-2002 Apache Software Foundation.